## gimptransformtools

gimptransformtools

## Functions

gint32 | gimp_flip ()
gint32 | gimp_perspective ()
gint32 | gimp_rotate ()
gint32 | gimp_scale ()
gint32 | gimp_shear ()
gint32 | gimp_transform_2d ()

## Description

## Functions

### gimp_flip ()

    gint32
    gimp_flip (gint32 drawable_ID,
               GimpOrientationType flip_type);

`gimp_flip` is deprecated and should not be used in newly-written code.

Use `gimp_item_transform_flip_simple()` instead.

### gimp_perspective ()

    gint32
    gimp_perspective (gint32 drawable_ID,
                      gboolean interpolation,
                      gdouble x0,
                      gdouble y0,
                      gdouble x1,
                      gdouble y1,
                      gdouble x2,
                      gdouble y2,
                      gdouble x3,
                      gdouble y3);

`gimp_perspective` is deprecated and should not be used in newly-written code.

Use `gimp_item_transform_perspective()` instead.

### gimp_rotate ()

    gint32
    gimp_rotate (gint32 drawable_ID,
                 gboolean interpolation,
                 gdouble angle);

`gimp_rotate` is deprecated and should not be used in newly-written code.

Use `gimp_item_transform_rotate()` instead.

### gimp_scale ()

    gint32
    gimp_scale (gint32 drawable_ID,
                gboolean interpolation,
                gdouble x0,
                gdouble y0,
                gdouble x1,
                gdouble y1);

`gimp_scale` is deprecated and should not be used in newly-written code.

Use `gimp_item_transform_scale()` instead.

### gimp_shear ()

    gint32
    gimp_shear (gint32 drawable_ID,
                gboolean interpolation,
                GimpOrientationType shear_type,
                gdouble magnitude);

`gimp_shear` is deprecated and should not be used in newly-written code.

Use `gimp_item_transform_shear()` instead.

### gimp_transform_2d ()

    gint32
    gimp_transform_2d (gint32 drawable_ID,
                       gboolean interpolation,
                       gdouble source_x,
                       gdouble source_y,
                       gdouble scale_x,
                       gdouble scale_y,
                       gdouble angle,
                       gdouble dest_x,
                       gdouble dest_y);

`gimp_transform_2d` is deprecated and should not be used in newly-written code.

Use `gimp_item_transform_2d()` instead.

## Types and Values